%define upstream_name	Getopt-Euclid
%define upstream_version 0.3.5

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Executable Uniform Command-Line Interface Descriptions
License:    GPL or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/upstream_names/by-upstream_name/Getopt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(List::Util)
BuildRequires: perl(Pod::Checker)
BuildRequires: perl(Pod::PlainText)
BuildRequires: perl(Pod::Select)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Balanced)
BuildRequires: perl(version)
BuildRequires: perl-version
BuildArch:  noarch

%description
Getopt::Euclid uses your program's own documentation to create a command-line
argument parser. This ensures that your program's documented interface and its
actual interface always agree.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files 
%doc Changes META.yml MYMETA.yml README
%{perl_vendorlib}/Getopt
%{_mandir}/man3/*

%changelog

* Wed Feb 22 2012 kharec <kharec> 0.3.5-1.mga2
+ Revision: 211965
- update to 0.3.5

* Mon Jan 09 2012 jquelin <jquelin> 0.3.3-1.mga2
+ Revision: 193799
- update to 0.3.3

* Sat Nov 05 2011 kharec <kharec> 0.3.2-1.mga2
+ Revision: 163556
- update to 0.3.2

* Sat Sep 03 2011 kharec <kharec> 0.2.8-1.mga2
+ Revision: 138063
- update to 0.2.8

  + jquelin <jquelin>
    - update to 0.2.7

* Mon Jun 27 2011 jquelin <jquelin> 0.2.4-1.mga2
+ Revision: 114546
- update to 0.2.4

* Thu Jan 20 2011 jquelin <jquelin> 0.2.3-1.mga1
+ Revision: 26295
- mageia rebuild
- imported package perl-Getopt-Euclid


* Sat Oct 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.3-1mdv2011.0
+ Revision: 587627
- new version

* Wed Jun 10 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.1-1mdv2011.0
+ Revision: 384708
- new version

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.2.0-2mdv2009.0
+ Revision: 268517
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.0-1mdv2009.0
+ Revision: 194855
- update to new version 0.2.0
- update to new version 0.2.0

* Fri Jan 18 2008 Jérôme Quelin <jquelin@mandriva.org> 0.1.0-2mdv2008.1
+ Revision: 154592
- forcing rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.1.0-1mdv2008.1
+ Revision: 135841
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Mar 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.0-1mdv2007.1
+ Revision: 145623
- Imported perl-Getopt-Euclid-0.1.0-1mdv2007.1 into SVN repository.

* Sat Mar 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.0-1mdv2007.1
- first mdv release

